Skip to main content
POST
/
v1
/
security
/
apikey
/
generate
Generate API Key (Root Key)
curl --request POST \
  --url https://api.runly.pro/v1/security/apikey/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "My Laptop"
}
'
{
  "status": {
    "code": 200,
    "message": "OK",
    "trace_id": "tr_key_gen"
  },
  "data": {
    "api_key": "rk_...",
    "note": "This is a Root Key..."
  },
  "usage": {
    "latency_ms": 30
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
description
string
required
Example:

"My Laptop"

Response

200 - application/json

Generation Result

status
object
required
data
object
output
object
usage
object